@REM filename: SetupBranch.cmd
@REM
@REM Setup file to install roles for a branch office server
@REM
@REM Created: 5 September, 2007
@REM ModHist: 
@REM
@REM Copyright 2007 Charlie Russel and Sharon Crawford. All rights reserved.
@REM   You may freely use this script in your own environment, modifying it to meet
@REM   your needs. But you may not re-publish it without permission. 

@REM Using "start /w" with ocsetup forces ocsetup to wait until it completes before 
@REM going on to the next task. 

@REM Install DNS and DHCP
@echo Installing DNS and DHCP roles...
start /w ocsetup DNS-Server-Core-Role
start /w ocsetup DHCPServerCore

@REM Now, install File Role Services
@echo Now installing File Role Services...
start /w ocsetup FRS-Infrastructure
start /w ocsetup DFSN-Server
start /w ocsetup DFSR-Infrastructure-ServerEdition

@REM Uncomment these two lines to add NFS support
@REM start /w ocsetup ServerForNFS-Base
@REM start /w ocsetup ClientForNFS-Base

@REM Install Print Server Role
@echo Installing Print Server Role
start /w ocsetup Printing-ServerCore-Role

@REM Uncomment next for LPD support
@REM start /w ocsetup Printing-LPDPrintService
