echo off
REM initsetup3.cmd
REM
REM initial setup for a Server 2008 Server Core installation. 
REM command file 3 of 3
REM
REM Created: 4 September, 2007
REM ModHist: 
REM
REM Copyright 2007 Charlie Russel and Sharon Crawford. All rights reserved.
REM   You may freely use this script in your own environment, modifying it 
REM   to meet your needs. But you may not re-publish it without permission. 

REM Use netsh to enable remote management through the firewall for the 
REM domain profile. This is the minimum to allow using remote MMCs to work
REM from other computers in the domain. 

netsh advfirewall set domainprofile settings remotemanagement enable 

REM allow remote administration group
netsh advfirewall firewall set rule group="Remote Administration" new enable=yes

REM Allow remote desktop through firewall
REM (also works with group=Remote Desktop instead of name=)
netsh advfirewall firewall set rule name="Remote Desktop (TCP-In)" new enable=yes

REM Enable Remote Desktop for Administration, and allow 
REM downlevel clients to connect
cscript %windir%\system32\scregedit.wsf /AR 0
cscript %windir%\system32\scregedit.wsf /CS 0

REM Now, run the activation script
REM No output means it worked
Slmgr.vbs -ato
